# -*- coding: utf-8 -*-

require 'al_template'

TEMPLATE_STR = %Q(
<%= header_section %>
  <title>コントローラ使用サンプル一覧</title>

<%= body_section %>
  <div class="al-page-header">コントローラ使用サンプル一覧</div>

  <ol>
    <% @messages.each do |m| %>
    <li><%= m %></li>
    <% end %>
  </ul>

<%= footer_section %>
)

class AlController
  def action_index
    @messages = []
    Dir.glob( "*" ).sort.each do |filename|
      if FileTest.directory?( filename )
        uri = Alone::make_uri( :ctrl => filename )
        @messages << "<a href=\"#{uri}\">#{filename}</a>"
      end
    end

    AlTemplate.run_str( TEMPLATE_STR )
  end
end
